Index: trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5075)
+++ trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5134)
@@ -345,44 +319,8 @@
         
         /* 
-         * Método que inicializa a tela de contatos 
-         */
-        function init_results(data)
-        {			
-			var Op = null;
-			var Ul = null;
-			var selectable = $("#selectable");
-            selectable.empty();
-            Ul = document.createElement("ul");
-            Op = document.createElement("li");
-			var limit = data.length < 7 ? data.length : 7;
-			for (i=1; i<=limit; i++) 
-            {
-				Op.setAttribute("class", "ui-selectee");
-				if(i == 1)
-					Op.setAttribute("class", "ui-selected");
-				var contact_name = utf8_decoder(data[i-1].cn);
-				if(data['type_catalog'] != 'G' && (data[i-1].mail == null || data[i-1].mail == ""))
-				{
-					data[i-1].mail = "No mail"; 
-				}
-				
-				if(contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) != -1)									
-					contact_name = contact_name.substring(0, contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) + "<u>" + contact_name.substr(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()), data.search_for.length) + "</u>" + contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) + data.search_for.length);
-				Op.innerHTML = '<span style="float:right; left:335px; position: absolute; z-index: 100; background-color: #EEE; padding:0"><button onClick="add_contact_field(contact_' + i + '.innerHTML)">+</button><button onClick="remove_contact_field(contact_' + i + '.innerHTML)">x</button></span><div class="id_contact_field" id=contact_' + i + ' onDblClick="add_contact_field(this.innerHTML)"><div class="name_contact"><strong>' + contact_name + '</strong><em>' + utf8_decoder(data[i-1].mail) + '</em></div></div>';
-                $(Op).val(i - 1);
-                Ul.appendChild(Op);
-                selectable.append(Ul.innerHTML);
-            }
-			$("#adds").html("Foram adicionados " + quantidade_contatos + " contatos.");
-        }
-        
-        
-        /* 
          * Método que configura o slider e os resultados 
          */
-        function configure_slider(data) 
-        {	
-			$("#detalhes_contato").empty();
-            var paginas = Math.ceil(data.length/7); 
+    function configure_slider(data) {	
+        var paginas = (Math.ceil(data.length/6)); 
             $("#title_usuarios").html( get_lang("Results") );
             $(function() {
@@ -392,80 +330,53 @@
 					max: paginas,
 					step: 1,
-                        slide: function( event, ui ) 
-                        {
+				slide: function( event, ui ) {
+					create_list(data, false, ui.value); 
 								var string_results = ui.value + " " + get_lang("of") + " " + paginas + " (" + data.length + " " + get_lang("Results") + ")"; 
-                                var selectable = $("#selectable");
-                                selectable.empty();
-                                var Ul = document.createElement("ul");
-                                var Op = document.createElement("li");
-								for (i=((ui.value-1)*7)+1; i<(((ui.value-1)*7)+1)+7; i++) 
-                                {
-                                    if(data['type_catalog'] != 'G' && (data[i-1].mail == null || data[i-1].mail == ""))
-									{
-										data[i-1].mail = "No mail"; 
-									}	
-									var contact_name = utf8_decoder(data[i].cn);
-									if(contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) != -1)									
-										contact_name = contact_name.substring(0, contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) + "<u>" + contact_name.substr(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()), data.search_for.length) + "</u>" + contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) + data.search_for.length);
-									
-                                    Op.setAttribute("class", "ui-selectee");
-									Op.innerHTML = '<span style="float:right; left:335px; position: absolute; z-index: 100; background-color: #EEE; padding:0"><button onClick="add_contact_field(contact_' + i + '.innerHTML)">+</button><button onClick="remove_contact_field(contact_' + i + '.innerHTML)">x</button></span><div class="id_contact_field" id=contact_' + i + ' onDblClick="add_contact_field(this.innerHTML)"><div class="name_contact"><strong>' + contact_name + '</strong><em>' + utf8_decoder(data[i].mail) + '</em></div></div>';
-                                    $(Op).val(i);
-                                    Ul.appendChild(Op);
-                                    selectable.append(Ul.innerHTML);
-                                }
-                                $( "#amount" ).val( string_results );
-								$(this).unbind('keypress');
-								document.getElementById("amount").focus();
+					$( "#amount-text" ).val( string_results );
 						}
                     });
-                    $( "#amount" ).val( $( "#slider" ).slider( "value" ) + " " + get_lang("of") + " " + paginas + " (" + data.length + " " + get_lang("Results") + ")");         
+			$("#selectable li:first button:first").focus();
                 });
         }
         
+	var search_focus = false;
 
-		
-        function checkEnter(e) 
-		{
+	function setFocus() {search_focus = true;return;}
+		
+	function removeFocus() {search_focus = false;return;}
+		
+    function checkEnter(e) {
 			var kC = window.event ? event.keyCode :
             e && e.keyCode ? e.keyCode :
             e && e.which ? e.which : null;
-            if (kC) { 
-				//$("#dialog-modal").unbind('keypress');
+        if (kC) 
 				return kC == 13;
-			}
-            else{ 
+        else
 				return false;
 			}
-		}
+        
         
         /* 
          * Faz a busca direto da tela modal  
          */
-        function buscaContato(param)
-        {
-			$("#busca").empty();
-			if(param.length == 0)
-            {
-                alert(get_lang("Please enter a parameter to search."));
-                return false;
+    function buscaContato(param) {
+		$("#busca, #detalhes_contato, #selectable").empty();
+		if(param.length == 0) {
+            alert(get_lang("Please enter a parameter to search"));
+            return;
             }
-            if(param.length < preferences.search_characters_number)
-            {
+		if(param.length < preferences.search_characters_number) {
                 alert(get_lang("parameter must be at least") + " " +  preferences.search_characters_number + " " + get_lang("characters"));
                 return false;
             }
             var catalog = $("#combobox").val();
-            var handler_emQuickSearch = function(data) 
-            {
+        var handler_emQuickSearch = function(data) {
                 data_ = data;
-				if(data_.length > 0)
-                {        
-                    init_results(data_);
+			if(data_.length > 0) {        
                     configure_slider(data_);    
+                create_list(data_, true);
                     details_results(data_);
                 }
-                else
-                {
+            else {
                     $("#detalhes_contato, #selectable").empty();
                     configure_slider(data); 
@@ -476,17 +387,14 @@
 		
         
-		quantidade_contatos = 0;
         /* 
          * Método que adiciona o contato selecionado no campo do email (To, CC, CCo) 
          */
-        function add_contact_field(contact)
-        {
-			quantidade_contatos++;
-            $("#adds").html("Foram adicionados " + quantidade_contatos + " contatos.");
+    function add_contact_field(contact) {
 			var emailList      = document.getElementById(field_ + "_" + id_).value; 
-            var contact_parsed = contact.replace(/<\/?[^>]+>/gi, ' ');
+		var contact_parsed = contact.replace(/<[\/]*u>/gi, '');
+		contact_parsed     = contact_parsed.replace(/<u[^>]*>/gi, '');
+		contact_parsed     = contact_parsed.replace(/<\/?[^>]+>/gi, ' ');
             contact_parsed     = contact_parsed.replace(/^\s+|\s+$/gi, "").replace(/\s{2,}/gi, "|");
             var tokens_contact = contact_parsed.split("|");
-
             if (tokens_contact[1].indexOf("(") > 0)
                 tokens_contact[1] = tokens_contact[1].substr(0, (tokens_contact[1].indexOf("("))-2);
@@ -494,21 +402,31 @@
 			var final_contact;
 			if(tokens_contact[2] == undefined)
-				final_contact = "\"" + tokens_contact[0] + " " + "\" <" + tokens_contact[1] + ">, ";
+			final_contact = "\"" + tokens_contact[0] + "" + "\" <" + tokens_contact[1] + ">, ";
 			else
 			{			
 				if(tokens_contact[3] == undefined)               
-					final_contact =  "\"" + tokens_contact[0] + " " +  tokens_contact[1] + "\" <" + tokens_contact[2] + ">, ";
+				final_contact =  "\"" + tokens_contact[0] + "" +  tokens_contact[1] + "\" <" + tokens_contact[2] + ">, ";
 				else
-					final_contact =  "\"" + tokens_contact[0] + " " +  tokens_contact[1] + " " +  tokens_contact[2] + "\" <" + tokens_contact[3] + ">, ";
+				final_contact =  "\"" + tokens_contact[0] + "" +  tokens_contact[1] + "" +  tokens_contact[2] + "\" <" + tokens_contact[3] + ">, ";
             }
-            if (emailList[0] != '"')
+        if (emailList[0] != '"' && emailList.indexOf(",") < 0)
                 emailList = emailList.substr(end_);
+            if(emailList.lastIndexOf(",") > 0)
+			emailList = emailList.substr(0, emailList.lastIndexOf(",") + 1);
             
-            if(emailList.lastIndexOf(",") > 0)
-                emailList = emailList.substr(0, emailList.lastIndexOf(",") + 2);
-            
+		final_contact = final_contact.replace(/\/n/, "");
             new_emailList = emailList + final_contact;    
             document.getElementById(field_ + "_" + id_).value = new_emailList;
+		
+		if (is_ie) { 
+			var range= document.getElementById(field_ + "_" + id_).createTextRange(); 
+			range.collapse(false); 
+			range.select(); 
+		} else { 
 			document.getElementById(field_ + "_" + id_).focus();   
+		} 
+		
+		
+		
 			$(this).unbind('keypress');
 			$(this).dialog("close");
@@ -518,10 +436,9 @@
          * Método que remove o contato selecionado no campo do email (To, CC, CCo) 
          */
-		function remove_contact_field(contact)
-		{
+	function remove_contact_field(contact) {
 			var contact_parsed = contact.replace(/<\/?[^>]+>/gi, ' ');
             contact_parsed     = contact_parsed.replace(/^\s+|\s+$/gi, "").replace(/\s{2,}/gi, "|");
-			var tokens_contact = contact_parsed.split("|");
 			
+		var tokens_contact = contact_parsed.split("|");	
 			if (tokens_contact[2].indexOf("(") > 0)
                 tokens_contact[2] = tokens_contact[2].substr(0, (tokens_contact[2].indexOf("("))-2);
@@ -532,53 +449,32 @@
 				final_contact =  "\"" + tokens_contact[0] + " " +  tokens_contact[1] + " " +  tokens_contact[2] + "\" <" + tokens_contact[3] + ">";
 			
-			if(quantidade_contatos ==0)
-			{
-				alert("Nenhum contato adicionado!");
-				return false;
-			}
-			
-			var encontrou = false;
-			var emailList = document.getElementById(field_ + "_" + id_).value; 
+		var exist = false;
+		var emailList = $("#" + field_ + "_" + id_).val();
 			var emails_adicionados = emailList.split(",");
-			var quantidade_excluidos = 0;
-			for(i=0; i<emails_adicionados.length -1; i++)
-			{
-				if(emails_adicionados[i].trim() == final_contact)
-				{
+		for(i=0; i<emails_adicionados.length -1; i++) {
+			emails_adicionados[i].replace(/^\s+|\s+$/g, ''); 
+			if(emails_adicionados[i] == final_contact) {
 					emails_adicionados[i] = "%";
-					quantidade_excluidos++;
-					encontrou = true;
+				exist = true;
 				}
 			}
-			if (encontrou == false) 
-			{
-				alert("Não pode excluir um contato que ainda não adicionou.");
+		if (exist == false) 
 				return false;
-			}
-			
-			quantidade_contatos -= quantidade_excluidos;
-            $("#adds").html("Foram adicionados " + quantidade_contatos + " contatos.");
-			
 			var novos_contatos = emails_adicionados.join(",");  
             novos_contatos = novos_contatos.replace(/%,/g, "");
-			document.getElementById(field_ + "_" + id_).value = novos_contatos;
+		$("#" + field_ + "_" + id_).val(novos_contatos);
 		}
         
 	      
-        function utf8_decoder ( str_data ) 
-        {
+	/* Decoder utf8 */	
+    function utf8_decoder ( str_data ) {
             var tmp_arr = [], i = 0, ac = 0, c1 = 0, c2 = 0, c3 = 0;
-            
             str_data += '';
-            
-            while ( i < str_data.length ) 
-            {
+        while ( i < str_data.length ) {
                 c1 = str_data.charCodeAt(i);
-                if (c1 < 128) 
-                {
+            if (c1 < 128) {
                     tmp_arr[ac++] = String.fromCharCode(c1);
                     i++;
-                } else if ((c1 > 191) && (c1 < 224)) 
-                       {
+            } else if ((c1 > 191) && (c1 < 224)) {
                             c2 = str_data.charCodeAt(i+1);
                             tmp_arr[ac++] = String.fromCharCode(((c1 & 31) << 6) | (c2 & 63));
@@ -596,14 +492,12 @@
         
               
-    function show_help()
-	{
+	/* Mostra tela de help */	
+    function show_help() {
 		$(function() {
 			$( "#dialog-modal_help" ).dialog({
 						resizable: false,
-						height: 230,
 						width: 540,
 						modal: true,
-						closeOnEscape: true,
-
+						closeOnEscape: true
 			});
 		});
